NioEndpoint.PollerEvent (Tomcat API Documentation)
Keywords: org.apache.tomcat.util.net.NioEndpoint.PollerEvent class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.net
Class NioEndpoint.PollerEvent

    java.lang.Object
      org.apache.tomcat.util.net.NioEndpoint.PollerEvent

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  NioEndpoint

    public class NioEndpoint.PollerEvent

extends java.lang.Object
implements java.lang.Runnable

PollerEvent, cacheable object for poller events to avoid GC

Field Summary
`protected int` | `interestOps`
`protected NioEndpoint.KeyAttachment` | `key`
`protected NioChannel` | `socket`

Constructor Summary
`NioEndpoint.PollerEvent(NioChannel ch, NioEndpoint.KeyAttachment k, int intOps)`

Method Summary
`void` | `reset()`
`void` | `reset(NioChannel ch, NioEndpoint.KeyAttachment k, int intOps)`
`void` | `run()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### socket

    protected NioChannel socket

### interestOps

    protected int interestOps

### key

    protected NioEndpoint.KeyAttachment key

Constructor Detail

### NioEndpoint.PollerEvent

    public NioEndpoint.PollerEvent(NioChannel ch,
                                   NioEndpoint.KeyAttachment k,
                                   int intOps)

Method Detail

### reset

    public void reset(NioChannel ch,
                      NioEndpoint.KeyAttachment k,
                      int intOps)

### reset

    public void reset()

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.